package J20250730.demo03_callable;

import java.util.concurrent.Callable;

/**
 * @author WanJl
 * @version 1.0
 * @title Computer
 * @description
 * @create 2025/7/30
 */
//1、定义一个类实现Callable接口，并且可以指定泛型
public class Computer implements Callable<Integer> {
    //2、在实现类中重写call()方法
    @Override
    public Integer call() throws Exception {
        return getSum(10000);
    }
    private int getSum(int n){
        return (1+n)*n/2;//最简单的一种算法
    }
}
